## libqtdbusmock 0.5+15.10.20151009

=== src/CMakeLists.txt ===
include(GenerateExportHeader)
add_compiler_export_flags()

add_subdirectory(libqtdbusmock)
