## libqtdbusmock 0.6%2b17.04.20161206

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,23 +53,11 @@
 	-Wextra
 )
 
-#set(DOXYFILE_SOURCE_DIR "include")
-#set(DOXYFILE_EXTRA_SOURCES "doc")
-#include(UseDoxygen)
-#if(DOXYGEN_FOUND AND BUILD_DOXYGEN)
-#	install(
-#		DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html
-#		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/libusermetrics-doc/
-#	)
-#endif()
-
 configure_file(
 	"${SOURCE_DIR}/libqtdbusmock/config.h.in"
 	"${SOURCE_BINARY_DIR}/libqtdbusmock/config.h"
 )
 
-
-#add_subdirectory("po")
 add_subdirectory("src")
 add_subdirectory("data")
