## libqtdbusmock 0.7+bzr49+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,6 @@
 include_directories(${SOURCE_BINARY_DIR})
 
 include(GNUInstallDirs)
-include(Coverage)
 
 # Workaround for libexecdir on debian
 if (EXISTS "/etc/debian_version") 
@@ -60,6 +59,7 @@
 
 add_subdirectory("src")
 add_subdirectory("data")
+add_subdirectory("templates")
 
 enable_testing()
 add_subdirectory(tests)
@@ -68,3 +68,16 @@
 	check
 	${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
 )
+
+find_package(CoverageReport)
+enable_coverage_report(
+  TARGETS
+    qtdbusmock
+    unit-tests
+  FILTER
+    ${CMAKE_SOURCE_DIR}/tests/*
+    ${CMAKE_BINARY_DIR}/*
+  TESTS
+    unit-tests
+)
+
