=== templates/CMakeLists.txt ===

install(
	FILES
		"org.freedesktop.hostname1.py"
		"org.freedesktop.login1.py"
	DESTINATION
		"${CMAKE_INSTALL_DATADIR}/libqtdbusmock/templates/"
)
