=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,7 @@
 
 set(CMAKE_AUTOMOC OFF)
-include(FindGMock)
+find_package(GMock REQUIRED)
 set(CMAKE_AUTOMOC ON)
-
-find_package("Valgrind" REQUIRED)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${GMOCK_INCLUDE_DIRS})
@@ -35,7 +33,7 @@
 	${GMOCK_LIBRARIES}
 )
 
-add_valgrind_test(
+add_test(
 	unit-tests
 	unit-tests
 )
