=== src/libqtdbusmock/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	QTDBUSMOCK_PUBLIC_HEADERS
 	"${CMAKE_CURRENT_BINARY_DIR}/config.h"
 	DBusMock.h
+	DeclareMetatypes.h
 	ExportInterfaces.h
 	Method.h
 	MethodCall.h
