=== debian/changelog ===
libqtdbusmock (0.7+bzr49+repack1-5) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix URL in Vcs-Browser: field.
    + Drop B-D on transitional google-mock package, add B-D on googletest
      instead.
    + Add B-D: libgtest-dev (required for latest cmake-extras).
    + Bump versioned B-D on cmake-extras to (>= 1.5-7~).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Dec 2020 17:34:00 +0100

libqtdbusmock (0.7+bzr49+repack1-4) unstable; urgency=medium

  * debian/rules:
    + Let's be honest to ourselves and dig into the failing builds on some
      architectures once more. Run tests in --no-parallel mode. (See #896494).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Mar 2020 22:29:22 +0100

libqtdbusmock (0.7+bzr49+repack1-3) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Versioned B-D on libqtdbustest 0.2+bzr42+repack1-5 (or newer). Trigger a
      rebuild once the -5 revision of libqtdbustest has landed.
  * debian/{control,compat}:
    + Drop compat file. Switch to debhelper-compat notation in control file.
      Bump to DH compat level version 12.
  * debian/copyright:
    + Use secure URL for opyright format reference.
    + Add global Comment: field that explains why we repacked this package's
      orig tarball.
  * debian/rules:
    + Correctly adapt to DH compat level 12 regarding the dh_missing override.
    + Ignore test failures. Tests succeed during local sbuild based builds, but
      fail on Debian buildd infrastructure. Ignoring these. (Closes: #896494)
  * debian/libqtdbusmock1.symbols:
    + Add Build-Depends-Package: meta data field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Feb 2019 11:50:42 +0100

libqtdbusmock (0.7+bzr49+repack1-2) unstable; urgency=medium

  * debian/control:
    + Fix typo in Maintainer: field (in the full name).
  * debian/control:
    + Replace B-D on network-manager-dev by B-D on libnm-dev. (Closes: #895444).
  * debian/patches:
    + Add 1001_port-to-libnm.patch. Building against libnm-dev pulls in GLib
      symbols, esp. the signals variable. In GLib it is a variable, in Qt it is
      a keyword. (See: https://bugs.kde.org/show_bug.cgi?id=378109). So this
      patch adds the definition -DQT_NO_KEYWORDS."
  * debian/rules:
    + Drop superfluous build option --parallel.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 19 Apr 2018 21:29:34 +0200

libqtdbusmock (0.7+bzr49+repack1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #878513).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Oct 2017 18:00:40 +0200

libqtdbusmock (0.7+17.04.20170316.1-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add hostname1 and login1 templates to new binary package
    libqtdbusmock1-common.
  * Search /usr/share/libqtdbusmock/templates for templates.

 -- Pete Woods <pete.woods@canonical.com>  Thu, 16 Mar 2017 10:32:22 +0000

libqtdbusmock (0.6+17.04.20170106-0ubuntu1) zesty; urgency=medium

  * Compatibility with unversioned cmake-extras modules (LP: #1563573)

 -- Pete Woods <pete.woods@canonical.com>  Fri, 06 Jan 2017 10:44:44 +0000

libqtdbusmock (0.6+17.04.20161206-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add AddDeviceConnection, SettingsAddConnection methods to network manager mock interface.
  * Switch to cmake-extras version of FindGMock.
  * CHange to pragma once for header guard macros.

 -- Pete Woods <pete.woods@canonical.com>  Tue, 06 Dec 2016 12:09:08 +0000

libqtdbusmock (0.5+15.10.20151009-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Enable the passing of parameters to templates.
  * Add methods for all templates from dbusmock.
  * Fix version number of registerTemplate symbol (marked 0changeme).
  * Depend on python-dbusmock >= 0.16

  [ CI Train Bot ]
  * debian/libqtdbusmock1.symbols: update to released version.
  * No-change rebuild.

 -- Pete Woods <ci-train-bot@canonical.com>  Fri, 09 Oct 2015 11:12:09 +0000

libqtdbusmock (0.4+15.10.20151006.3-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Add new methods to NetworkManager mock interface.
  * Don't run valgrind by default. (LP: #1451507)

  [ CI Train Bot ]
  * debian/libqtdbusmock1.symbols: update to released version.
  * No-change rebuild.

 -- Pete Woods <ci-train-bot@canonical.com>  Tue, 06 Oct 2015 11:47:54 +0000

libqtdbusmock (0.3+15.10.20150604-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Fix FTBFS on PPC (LP: #1451512)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 04 Jun 2015 11:03:42 +0000

libqtdbusmock (0.3+15.04.20150331-0ubuntu1) vivid; urgency=medium

  [ Pete Woods ]
  * Add support for urfkill, ofono and futher network manager support.

  [ CI Train Bot ]
  * debian/libqtdbusmock1.symbols: update to released version.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 31 Mar 2015 11:22:42 +0000

libqtdbusmock (0.2+14.10.20140730-0ubuntu1) utopic; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Allow starting other templates than NetworkManager via a registerTemplate()
    method; make registerNetworkManager use it for simplicity.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 17:58:36 +0000

libqtdbusmock (0.2+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Valgrind is not present on all architectures. (LP: #1263925,
    #1263926)
  * Disable Valgrind on ARM (LP: #1287135)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 05:30:00 +0000

libqtdbusmock (0.2+14.04.20131128.1-0ubuntu3) trusty; urgency=medium

  * Disable the testsuite on i386 for now. See #1262638 and #1263926.


