=== debian/control ===
Source: libqtdbusmock
Section: devel
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-7~),
               debhelper-compat (= 13),
               gettext,
               googletest,
               libgtest-dev,
               libqtdbustest1-dev (>= 0.2+bzr42+repack1-5~),,
               libnm-dev,
               pkg-config,
               python3-dbusmock (>= 0.16),
               qtbase5-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://launchpad.net/libqtdbustest
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbusmock.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libqtdbusmock

Package: libqtdbusmock1
Section: libs
Architecture: any
Multi-Arch: same
Depends: python3-dbusmock (>= 0.16),
         libqtdbusmock1-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library for mocking DBus interactions using Qt
 A simple library for mocking DBus services with a Qt API. The software
 is relevant for unit testing DBus services based on Qt API.
 .
 This package contains the shared library.

Package: libqtdbusmock1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtdbusmock1 (= ${binary:Version}),
         ${misc:Depends},
Description: Library for mocking DBus interactions using Qt (development files)
 A simple library for mocking DBus services with a Qt API. The software
 is relevant for unit testing DBus services based on Qt API.
 .
 This package contains header files needed for development.

Package: libqtdbusmock1-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Library for mocking DBus interactions using Qt (common files)
 A simple library for mocking DBus services with a Qt API. The software
 is relevant for unit testing DBus services based on Qt API.
 .
 This package contains extra dbusmock templates.
