## libqtdbusmock 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
 include_directories(${QTDBUSTEST_INCLUDE_DIRS})
 
-pkg_check_modules(NM REQUIRED NetworkManager REQUIRED)
+pkg_check_modules(NM REQUIRED libnm REQUIRED)
 include_directories(${NM_INCLUDE_DIRS})
 
 set(CMAKE_AUTOMOC ON)
