=== debian/changelog ===
libqtdbusmock (0.9.0-2) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Move package maintenance over to Debian UBports Team.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Aug 2023 08:34:54 +0200

libqtdbusmock (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Switch upstream to ubports (launchpad version has been abandoned)
  * debian/patches: Drop patch that's fixed upstream
  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0 (closes #1041087)
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 02:18:39 +0200
