=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libqtdbusmock
 Section: devel
 Priority: optional
-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Debian UBports Team <team+ubports@tracker.debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 1.5-7~),
                debhelper-compat (= 13),
@@ -16,11 +16,11 @@
                pkg-config,
                python3-dbusmock (>= 0.16),
                qtbase5-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://launchpad.net/libqtdbustest
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbusmock.git
-Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libqtdbusmock
+Homepage: https://gitlab.com/ubports/development/core/libqtdbusmock/
+Vcs-Git: https://salsa.debian.org/ubports-team/libqtdbusmock.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/libqtdbusmock
 
 Package: libqtdbusmock1
 Section: libs
