## libqtdbusmock 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(libqtdbusmock CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+project(libqtdbusmock VERSION 0.9.1 LANGUAGES CXX)
 
 set(API_VERSION 1)
 set(ABI_VERSION 1)
@@ -45,7 +45,7 @@
 set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
 
 add_definitions(
-	-std=c++11
+	-std=c++17
 	-fno-permissive
 	-pedantic
 	-Wall
