=== debian/changelog ===
libqtdbusmock (0.9.1-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:37:56 +0000

libqtdbusmock (0.9.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:12:17 +0000

libqtdbusmock (0.9.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:41:00 +0000

libqtdbusmock (0.9.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libqtdbusmock1-dev: Drop Multi-Arch: same.
  * Set upstream metadata fields: Repository-Browse.

  [ Marius Gripsgard ]
  * New upstream release v0.9.1
  * debian/patches: Drop upstreamed patch
    - 0001-Bump-cpp-std-to-17-fixes-googletest-1.13.0.patch
  * debian/patches: Add patch to workaround cmake bug (Closes: #1058502)

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 28 Jan 2024 01:59:41 +0100
