=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libqtdbusmock
 Section: devel
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -39,7 +40,6 @@
 Package: libqtdbusmock1-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libqtdbusmock1 (= ${binary:Version}),
          ${misc:Depends},
 Description: Library for mocking DBus interactions using Qt (development files)
