=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/libqtdbusmock/-/tags .*/libqtdbusmock-(\d\S+)\.tar\.gz
